Health
Health check
GET
/healthSDK setup
Create a client instance. No authentication is required for this endpoint.
import { Configuration, HealthApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const health = new HealthApi(configuration);import { Configuration, HealthApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const health = new HealthApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await health.healthCheck();const { data: result } = await health.healthCheck();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
No Request Yet
Send a request to see the full inspector
Authentication
Public — No Auth Required
Responses
200System health status
json
{
"status": "healthy",
"timestamp": "2024-01-15T10:00:00.000Z",
"services": {
"database": "healthy",
"redis": "healthy",
"storage": "healthy",
"email": "healthy",
"sms": "healthy"
},
"version": "1.0.0",
"uptime": 3600
}{
"status": "healthy",
"timestamp": "2024-01-15T10:00:00.000Z",
"services": {
"database": "healthy",
"redis": "healthy",
"storage": "healthy",
"email": "healthy",
"sms": "healthy"
},
"version": "1.0.0",
"uptime": 3600
}